Subject: Re: [PATCH 1/2] git_remote_cvs: Honor DESTDIR in the Makefile

From: David Aguilar <[email-masked]>
Date: Sun, 16 Aug 2009 14:03:01 -0700

On Sun, Aug 16, 2009 at 10:55:29PM +0200, Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 16 Aug 2009, David Aguilar wrote:
> 
> > diff --git a/git_remote_cvs/Makefile b/git_remote_cvs/Makefile
> > index 8dbf3fa..f52c096 100644
> > --- a/git_remote_cvs/Makefile
> > +++ b/git_remote_cvs/Makefile
> > @@ -3,6 +3,15 @@
> >  #
> >  pysetupfile:=setup.py
> >  
> > +# Setup the DESTDIR for Python.
> > +ifeq ($(DESTDIR),)
> > +PYTHON_DESTDIR = /
> 
> Hmm.  I think this would break on msysGit.  Not that anybody worked on 
> getting Python to compile on msysGit.
> 
> (Just to make sure you understand the issue: on msysGit, we set prefix to 
> "" (and I think DESTDIR somehow ends up taking on the same value).  Now, 
> when DESTDIR is set to "/" and something wants to be copied to 
> $(DESTDIR)/something, the latter expands to //something, which tells MSys 
> not to expand //something to the correct Windows path.

I see.  Hmm.. setup.py is a real pain.

I'll see if we rework this so that we end up passing "" to
--root instead of /.  I'm going to be gone for a few hours so
probably won't be able to try it out until tonight.

Another thing to consider --

Debian once submitted a bug against another Python app asking
that we not place modules in site-packages unless we
plan on having other applications importing those modules.

The more appropriate place for them if we don't plan on that is
$(prefix)/share/git-core/git_remote_cvs or something like that.

I guess that's another thing to think about.

-- 
		David